Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.beaninfo
Class ProjectReportProperty

    java.lang.Object
      com.install4j.api.beaninfo.ProjectReportProperty

    public class ProjectReportProperty

extends java.lang.Object

A project report element contributed by a customizer. All regular properties of your beans that have a non-empty display name are included in the project report. Properties that have empty display names can be used in customizers. If your customizer implements `CustomizerCallback`, it can contribute multiple entries to the the project report.

See Also:
  `CustomizerCallback.getProjectReportProperties()`

Constructor Summary
`ProjectReportProperty(java.lang.String propertyName, java.lang.String reportValue)` Comstruct a project report property with a property name and a report value.

Method Summary
`java.lang.String` | `getPropertyName()` Get the property name.
`java.lang.String` | `getReportValue()` Get the report value.
`void` | `setPropertyName(java.lang.String propertyName)` Set the property name.
`void` | `setReportValue(java.lang.String reportValue)` Set the report value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectReportProperty

    public ProjectReportProperty(java.lang.String propertyName,
                                 java.lang.String reportValue)

  Comstruct a project report property with a property name and a report value. The property name should be the same as the name of the customizer.

  Parameters:
    `propertyName` - the name
    `reportValue` - the description
  See Also:
    `Install4JBeanInfo.Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`

Method Detail

### getPropertyName

    public java.lang.String getPropertyName()

  Get the property name.

  Returns:
    the property name

### setPropertyName

    public void setPropertyName(java.lang.String propertyName)

  Set the property name.

  Parameters:
    `propertyName` - the property name

### getReportValue

    public java.lang.String getReportValue()

  Get the report value.

  Returns:
    the report value

### setReportValue

    public void setReportValue(java.lang.String reportValue)

  Set the report value.

  Parameters:
    `reportValue` - the report value

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD